Get song ranking for a date
Get the ranking for a song chart on a specific date.
To avoid unnecessary requests, you can first get the dates with available data from the Get song ranking dates endpoint.
Charts displaying a metric are:
- Airplay charts (number of spins)
- Spotify charts (number of streams)
This endpoint also returns the number of days (DOC) or weeks (WOC) that a song has been on that chart.
Need to get the chart’s slug? Use the Get song chart list by platform endpoint.
Request
GET
/api/v2.14/chart/song/{slug}/ranking/{datetime}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| slug | string | A chart slug | Required |
| datetime | string | A ranking date (ATOM format) | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A song chart ranking collection response |
Song Chart Rank Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Chart not found |